package main

import (
	"git.randomchars.net/freenitori/log"
	"os"
)

func cleanup() {
	// Close all chatInstance
	instances := make(map[string]*chatInstance)
	for key, value := range instancesChannel {
		instances[key] = value
	}

	for _, instance := range instances {
		instance.destroy()
	}

	// Close session
	if err := session.Close(); err != nil {
		log.Fatalf("Error closing session, %s", err)
		os.Exit(1)
	}
}
